osgDB::ReaderWriterInfo Class Reference

`#include <PluginQuery>`

Inheritance diagram for osgDB::ReaderWriterInfo:

## Public Member Functions

| ReaderWriterInfo ()
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

std::string | plugin
std::string | description
ReaderWriter::FormatDescriptionMap | protocols
ReaderWriter::FormatDescriptionMap | extensions
ReaderWriter::FormatDescriptionMap | options
ReaderWriter::Features | features

## Protected Member Functions

virtual | ~ReaderWriterInfo ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Constructor & Destructor Documentation

## ReaderWriterInfo()

osgDB::ReaderWriterInfo::ReaderWriterInfo | ( |  | ) |

inline

References features.

## ~ReaderWriterInfo()

virtual osgDB::ReaderWriterInfo::~ReaderWriterInfo | ( |  | ) |

inline protected virtual

## Member Data Documentation

## description

std::string osgDB::ReaderWriterInfo::description

## extensions

ReaderWriter::FormatDescriptionMap osgDB::ReaderWriterInfo::extensions

## features

ReaderWriter::Features osgDB::ReaderWriterInfo::features

Referenced by ReaderWriterInfo().

## options

ReaderWriter::FormatDescriptionMap osgDB::ReaderWriterInfo::options

## plugin

std::string osgDB::ReaderWriterInfo::plugin

## protocols

ReaderWriter::FormatDescriptionMap osgDB::ReaderWriterInfo::protocols

The documentation for this class was generated from the following file:

- PluginQuery